#!/bin/bash
###########################################################################################################################
# Script para a instalação e remoção do editor Microsoft Visual Studio Code.
# Editado por Eris R. Jr. erisribeiro@gmail.com
# Baseado no script do site thepowerbase, disponibilizado em:
# http://www.thepowerbase.com/2015/04/install-visual-studio-code-ubuntu-14-04-14-10-15-04/ 
# Adicionado opções para instalação e desinstalação do software, alem de criar o atalho para o software
# sem necessitar fazer o download do arquivo .desktop do site www.thepowerbase.com
# Ao fazer download do script, torne-o executável com o comando:  chmod +x vscodeinstaller.sh  | e o execute como root:
# su -
# ou 
# sudo su -
# cd /diretorio/onde-salvou-o-script
# chmod +x vscodeinstaller.sh
# ./vscodeinstaller.sh
###########################################################################################################################

#####
#Rotina de instalação
case $1 in
   "-i") echo "Iniciando a instalação!"
   
#Cria o diretório temporário para o SVCODE
mkdir /tmp/VSCODE

# efetua o download do VSCODE 
wget -P /tmp/VSCODE/ http://download.microsoft.com/download/0/D/5/0D57186C-834B\
-463A-AECB-BC55A8E466AE/VSCode-linux-x64.zip

# Extrai os arquivos para instalação em: /opt/VSCODE
unzip /tmp/VSCODE/VSCode-linux-x64.zip -d /opt/VSCODE/

# Copia o icone do VSCODE para o diretorio: /usr/share/icons/
cp /opt/VSCODE/resources/app/vso.png /usr/share/icons/

# Cria o arquivo .desktop para o VSCODE em /usr/share/applications/  para que este seja exibido no menu do sistema.
echo "[Desktop Entry]
Name=Visual Studio Code
Comment=Editor de Codigo do Visual Studio para Linux
Exec=/opt/VSCODE/Code
Icon=/usr/share/icons/vso.png
Type=Application
StartupNotify=true
Categories=TextEditor;Development;Utility;
MimeType=text/plain;">/usr/share/applications/visualstudiocode.desktop

#Remove os arquivos temporários e encerra o script
rm -r /tmp/VSCODE
echo "Instalação concluída!"
;;
#####
#Rotina de remoção
"-r") echo "Removendo o Visual Studio Code"
rm -rf /usr/share/icons/vso.png
rm -rf /usr/share/applications/visualstudiocode.desktop
rm -rf /opt/VSCODE
echo "Remoção concluída!"
;;

    *) echo "Opção incorreta! Favor digitar  ./vscodeinstaller.sh -i para instalar, ou ./vscodeinstaller.sh -r para remover"
      exit 1
      ;;
esac





